Bug 901 - [UPDATE REQUEST] rsync
: [UPDATE REQUEST] rsync
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: Danila Leontiev
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 21:05 MSD by Dmitry Romashkin
Modified: 2012-11-14 13:51 MSK (History)
2 users (show)

See Also:
RPM Package: rsync
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
danila.leontiev: secteam_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Romashkin 2012-10-11 21:05:10 MSD
Update request for latest stable release of rsync.

References:
http://rsync.samba.org/ftp/rsync/src/rsync-3.0.9.tar.gz
http://rsync.samba.org/ftp/rsync/src/rsync-3.0.9-NEWS
Comment 1 Danila Leontiev 2012-10-15 06:44:51 MSD
Advisory: 
Description:
    - Fix a crash bug in checksum scanning when --inplace is used.
    - Fix a hang if a hard-linked file cannot be opened by the sender (e.g.
      if it has no read permission).
    - Fix preservation of a symlink's system xattrs (e.g. selinux) on Linux.
    - Fix a memory leak in the xattr code.
    - Fixed a bug with --delete-excluded when a filter merge file has a rule
      that specifies a receiver-only side restriction.
    - Fix a bug with the modifying of unwritable directories.
    - Fix --fake-super's interaction with --link-dest same-file comparisons.
    - Fix the updating of the curr_dir buffer to avoid a duplicate slash.
    - Fix the directory permissions on an implied dot-dir when using --relative
      (e.g. /outside/path/././send/path).
    - Fixed some too-long sleeping instances when using --bwlimit.
    - Fixed when symlink ownership difference-checking gets compiled into
      unchanged_attrs().
    - Improved the socket-error reporting when multiple protocols fail.
    - Fixed a case where a socket error could reference just-freed memory.
    - Failing to use a password file that was specified on the command-line is
      now a fatal error.
    - Fix the non-root updating of directories that don't have the read and/or
      execute permission.
    - Make daemon-excluded file errors more error-like.
    - Fix a compilation issue on older C compilers (due to a misplaced var
      declaration).
    - Make configure avoid finding socketpair on cygwin.
    - Avoid trying to reference SO_BROADCAST if the OS doesn't support it.
    - Fix some issues with the post-processing of the man pages.
    - Fixed the user home-dir handling in the support/lsh script.
    - Some minor manpage improvements.

References:
http://rsync.samba.org/

buildlists:
https://abf.rosalinux.ru/build_lists/751851
https://abf.rosalinux.ru/build_lists/751852 (64)
Comment 2 Alexander Petryakov 2012-10-16 01:52:26 MSD
rsync-3.0.9-1
************** Advisory **************
Description:
    - Fix a crash bug in checksum scanning when --inplace is used.
    - Fix a hang if a hard-linked file cannot be opened by the sender (e.g.
      if it has no read permission).
    - Fix preservation of a symlink's system xattrs (e.g. selinux) on Linux.
    - Fix a memory leak in the xattr code.
    - Fixed a bug with --delete-excluded when a filter merge file has a rule
      that specifies a receiver-only side restriction.
    - Fix a bug with the modifying of unwritable directories.
    - Fix --fake-super's interaction with --link-dest same-file comparisons.
    - Fix the updating of the curr_dir buffer to avoid a duplicate slash.
    - Fix the directory permissions on an implied dot-dir when using --relative
      (e.g. /outside/path/././send/path).
    - Fixed some too-long sleeping instances when using --bwlimit.
    - Fixed when symlink ownership difference-checking gets compiled into
      unchanged_attrs().
    - Improved the socket-error reporting when multiple protocols fail.
    - Fixed a case where a socket error could reference just-freed memory.
    - Failing to use a password file that was specified on the command-line is
      now a fatal error.
    - Fix the non-root updating of directories that don't have the read and/or
      execute permission.
    - Make daemon-excluded file errors more error-like.
    - Fix a compilation issue on older C compilers (due to a misplaced var
      declaration).
    - Make configure avoid finding socketpair on cygwin.
    - Avoid trying to reference SO_BROADCAST if the OS doesn't support it.
    - Fix some issues with the post-processing of the man pages.
    - Fixed the user home-dir handling in the support/lsh script.
    - Some minor manpage improvements.

References:
http://rsync.samba.org/
**************************************
QA Verified